Get Order By ID

View as Markdown
The **Get Order By ID** is an **authenticated API** that allows partners to **fetch details of a specific order** using its unique identifier. This API provides **detailed transaction information**, including order status, payment details, and wallet address. This API helps **track a particular order’s status** and ensures users can **monitor their transactions in real-time**.

Path parameters

orderIdstringRequired

orderId received from the API - api/v2/orders

Headers

authorizationstringRequired

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error